﻿@page "/campaigns/create"

@using Easy4Us.Application.Interfaces

@inject NavigationManager NavigationManager
@inject ICampaignAppService CampaignAppService

<h3>CreateCampaign</h3>
<div class="row">
    <div class="col-md-4">
        <EditForm Model="campaign" OnValidSubmit="@HandleValidSubmit">
            <DataAnnotationsValidator></DataAnnotationsValidator>
            <div class="form-group">
                <label for="name">Name: </label>
                <InputText class="form-control" id="name" @bind-Value="@campaign.Name" />
                <ValidationMessage For="@(() => campaign.Name)" />
            </div>
            <div class="form-group">
                <label for="startDate">Start Date:</label>
                <InputDate class="form-control" id="startDate" @bind-Value="@campaign.StartDate" />
                <ValidationMessage For="@(() => campaign.StartDate)" />
            </div>
            <div class="form-group">
                <label for="endDate">End Date:</label>
                <InputDate class="form-control" id="endDate" @bind-Value="@campaign.EndDate" />
                <ValidationMessage For="@(() => campaign.EndDate)" />
            </div>
            <div class="form-group">
                <label for="description">Description (optional): </label>
                <InputText class="form-control" id="description" @bind-Value="@campaign.Description" rows="4" style="width:700px" />
                <ValidationMessage For="@(() => campaign.Description)" />
            </div>
            <div class="form-group">
                <button type="submit" value="Save" class="btn btn-primary">Save</button>
                <NavLink class="nav-link" style="display:initial;" href="campaigns">
                    Go Back
                </NavLink>
            </div>
        </EditForm>
    </div>
</div>

@code {
    private Easy4Us.Application.DTO.CampaignDTO campaign = new Application.DTO.CampaignDTO();

    private void HandleValidSubmit()
    {
        CampaignAppService.CreateCampaign(campaign);
        NavigationManager.NavigateTo("campaigns");
    }
}
